// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "BigScrl.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNAMIC(CMainFrame, CMDIFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CMDIFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	ON_UPDATE_COMMAND_UI(ID_INDICATOR_XV, OnUpdateIndicatorXV)
	ON_UPDATE_COMMAND_UI(ID_INDICATOR_YV, OnUpdateIndicatorYV)
	ON_UPDATE_COMMAND_UI(ID_INDICATOR_XL, OnUpdateIndicatorXL)
	ON_UPDATE_COMMAND_UI(ID_INDICATOR_YL, OnUpdateIndicatorYL)
	ON_UPDATE_COMMAND_UI(ID_INDICATOR_XS, OnUpdateIndicatorXS)
	ON_UPDATE_COMMAND_UI(ID_INDICATOR_YS, OnUpdateIndicatorYS)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

static UINT indicators[] =
{
	ID_SEPARATOR,           // status line indicator
	ID_INDICATOR_XV,
	ID_INDICATOR_YV,
	ID_INDICATOR_XL,
	ID_INDICATOR_YL,
	ID_INDICATOR_XS,
	ID_INDICATOR_YS,
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
	m_xv = m_yv = 0;
	m_xl = m_yl = 0;
	m_xs = m_ys = 0;
}

CMainFrame::~CMainFrame()
{
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CMDIFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndToolBar.Create(this) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}

	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create status bar\n");
		return -1;      // fail to create
	}

	// TODO: Remove this if you don't want tool tips or a resizeable toolbar
	m_wndToolBar.SetBarStyle(m_wndToolBar.GetBarStyle() |
		CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC);

	// TODO: Delete these three lines if you don't want the toolbar to
	//  be dockable
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndToolBar);

	return 0;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CMDIFrameWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CMDIFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CMDIFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers

void CMainFrame::OnUpdateIndicatorXV(CCmdUI* pCmdUI) 
{
  char buffer[20];
  sprintf(buffer, "%ld", m_xv);
  pCmdUI->SetText(buffer);
}

void CMainFrame::OnUpdateIndicatorYV(CCmdUI* pCmdUI) 
{
  char buffer[20];
  sprintf(buffer, "%ld", m_yv);
  pCmdUI->SetText(buffer);
}

void CMainFrame::OnUpdateIndicatorXL(CCmdUI* pCmdUI) 
{
  char buffer[20];
  sprintf(buffer, "%ld", m_xl);
  pCmdUI->SetText(buffer);
}

void CMainFrame::OnUpdateIndicatorYL(CCmdUI* pCmdUI) 
{
  char buffer[20];
  sprintf(buffer, "%ld", m_yl);
  pCmdUI->SetText(buffer);
}

void CMainFrame::OnUpdateIndicatorXS(CCmdUI* pCmdUI) 
{
  char buffer[20];
  sprintf(buffer, "%ld", m_xs);
  pCmdUI->SetText(buffer);
}

void CMainFrame::OnUpdateIndicatorYS(CCmdUI* pCmdUI) 
{
  char buffer[20];
  sprintf(buffer, "%ld", m_ys);
  pCmdUI->SetText(buffer);
}
